GNU bug report logs - #35707
[PATCH] gnu: Add lemonbar package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Noodles! <nnoodle@HIDDEN>; Keywords: patch; dated Mon, 13 May 2019 05:28:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jun 2019 21:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 17:00:15 2019
Received: from localhost ([127.0.0.1]:33642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfsY3-00058U-Gt
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 17:00:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:57735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hfsY1-00058K-4p
 for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 17:00:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55838)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hfsXz-0002Es-C7
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 17:00:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hfsXv-0003JB-Cr
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 17:00:09 -0400
Received: from mx1.riseup.net ([198.252.153.129]:48004)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hfsXp-00036s-TZ
 for guix-patches@HIDDEN; Tue, 25 Jun 2019 17:00:05 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9DA951A3053
 for <guix-patches@HIDDEN>; Tue, 25 Jun 2019 13:59:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561496396; bh=kkM/5lktdVoCxqrTHHcjBH70Cq4bWB/hPbu2paI1OHw=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=QvwQMu2YhnJcxIAjB277m8S7kmu6Z0IRQ8zfkXCEViYxm+xjF8a16GrmbpNTV/tSz
 N2WpYSFzj+RfWlh6y0h7dkXWe7Eygv8OkEuC9FwD7KzH/+daZHMA0IcnqRzn9Jv9EW
 AgD1V7VtYZBPaHzJvfTwwELnlPutoTO39QOgqebo=
X-Riseup-User-ID: 5617140DC1635BFE097EEBD465C5A64928C244578DD8B901CDF4CD742404C55A
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id F1E6F222E80
 for <guix-patches@HIDDEN>; Tue, 25 Jun 2019 13:59:55 -0700 (PDT)
Subject: Re: [bug#35707] [PATCH] gnu: Add lemonbar package
To: guix-patches@HIDDEN
References: <20190513045721.12410-1-nnoodle@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <f0cfdf49-21f4-5d14-9d1e-768490a50ce3@HIDDEN>
Date: Tue, 25 Jun 2019 22:59:53 +0200
MIME-Version: 1.0
In-Reply-To: <20190513045721.12410-1-nnoodle@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 2019-05-13 06:57, Noodles! wrote:
> +(define-public lemonbar
> +  (let ((commit "35183ab81d2128dbb7b6d8e119cc57846bcefdb4")
> +        (revision "1"))
> +    (package
> +     (name "lemonbar")
> +     (version (git-version "1.3" revision commit))
> +     (source (origin
> +               (method git-fetch)
> +               (uri (git-reference
> +                     (url"https://github.com/LemonBoy/bar")
> +                     (commit commit)))
> +               (file-name (git-file-name name version))
> +               (sha256
> +                (base32
> +                 "1wwqbph392iwz8skaqxb0xpklb1l6yganqz80g4x1fhrnz7idmlh"))))
> +     (build-system gnu-build-system)
> +     (arguments
> +      '(#:tests? #f
> +        #:make-flags (list "CC=gcc"
> +                      (string-append "PREFIX=" %output))
> +        #:phases
> +        (modify-phases %standard-phases
> +          (delete 'configure))))
> +     (inputs
> +      `(("libxcb" ,libxcb)))
> +     (native-inputs
> +      `(("perl" ,perl)))
> +     (home-page"https://github.com/LemonBoy/bar")
> +     (synopsis "Featherweight status bar")
> +     (description
> +      "@code{lemonbar} (formerly known as @code{bar}) is a lightweight
> +bar entirely based on XCB.  Provides full UTF-8 support, basic
> +formatting, RandR and Xinerama support and EWMH compliance without
> +wasting your precious memory.")
> +     (license license:x11))))

It did not apply because of patch age.

I applied it manually. LGTM!

Thanks.

-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#35707; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2019 05:27:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 01:27:46 2019
Received: from localhost ([127.0.0.1]:43873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQ3V4-0003nD-6L
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 01:27:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nnoodle@HIDDEN>) id 1hQ3BU-0003HL-S3
 for submit <at> debbugs.gnu.org; Mon, 13 May 2019 01:07:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:45207)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nnoodle@HIDDEN>) id 1hQ3BP-0004ac-Pc
 for submit <at> debbugs.gnu.org; Mon, 13 May 2019 01:07:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53316)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nnoodle@HIDDEN>) id 1hQ3BM-00079i-8a
 for guix-patches@HIDDEN; Mon, 13 May 2019 01:07:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nnoodle@HIDDEN>) id 1hQ3BK-0004YH-PI
 for guix-patches@HIDDEN; Mon, 13 May 2019 01:07:24 -0400
Received: from chiru.no ([142.4.209.132]:37566)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nnoodle@HIDDEN>) id 1hQ3BK-0004XR-FQ
 for guix-patches@HIDDEN; Mon, 13 May 2019 01:07:22 -0400
Received: from noobuntu.dev (unknown [202.80.116.253])
 by chiru.no (Postfix) with ESMTPSA id 0CEB1128001B;
 Mon, 13 May 2019 04:58:39 +0000 (UTC)
From: Noodles! <nnoodle@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add lemonbar package
Date: Mon, 13 May 2019 04:57:21 +0000
Message-Id: <20190513045721.12410-1-nnoodle@HIDDEN>
X-Mailer: git-send-email 2.17.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 142.4.209.132
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 13 May 2019 01:27:45 -0400
Cc: Noodles! <nnoodle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

---
 gnu/packages/wm.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index 0a05ff4ae..6c727e36c 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -19,6 +19,7 @@
 ;;; Copyright =C2=A9 2018 Pierre-Antoine Rouby <contact@HIDDEN>
 ;;; Copyright =C2=A9 2018 Meiyo Peng <meiyo.peng@HIDDEN>
 ;;; Copyright =C2=A9 2019 Rutger Helling <rhelling@HIDDEN>
+;;; Copyright =C2=A9 2019 Noodles! <nnoodle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1087,6 +1088,42 @@ customizable status bars for their desktop environ=
ment.  It has built-in
 functionality to display information about the most commonly used servic=
es.")
     (license license:expat)))
=20
+(define-public lemonbar
+  (let ((commit "35183ab81d2128dbb7b6d8e119cc57846bcefdb4")
+        (revision "1"))
+    (package
+     (name "lemonbar")
+     (version (git-version "1.3" revision commit))
+     (source (origin
+               (method git-fetch)
+               (uri (git-reference
+                     (url "https://github.com/LemonBoy/bar")
+                     (commit commit)))
+               (file-name (git-file-name name version))
+               (sha256
+                (base32
+                 "1wwqbph392iwz8skaqxb0xpklb1l6yganqz80g4x1fhrnz7idmlh")=
)))
+     (build-system gnu-build-system)
+     (arguments
+      '(#:tests? #f
+        #:make-flags (list "CC=3Dgcc"
+                      (string-append "PREFIX=3D" %output))
+        #:phases
+        (modify-phases %standard-phases
+          (delete 'configure))))
+     (inputs
+      `(("libxcb" ,libxcb)))
+     (native-inputs
+      `(("perl" ,perl)))
+     (home-page "https://github.com/LemonBoy/bar")
+     (synopsis "Featherweight status bar")
+     (description
+      "@code{lemonbar} (formerly known as @code{bar}) is a lightweight
+bar entirely based on XCB.  Provides full UTF-8 support, basic
+formatting, RandR and Xinerama support and EWMH compliance without
+wasting your precious memory.")
+     (license license:x11))))
+
 (define-public wlroots
   (package
     (name "wlroots")
--=20
2.17.1





Acknowledgement sent to Noodles! <nnoodle@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35707; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 25 Jun 2019 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.